## ocaml-xiph 1.0.0

=== debian/changelog ===
ocaml-xiph (1.0.0-1build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:56:51 +0100

ocaml-xiph (1.0.0-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:04:48 +0200

ocaml-xiph (1.0.0-1build1) plucky; urgency=medium

  * Rebuild against latest flac

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 08:12:06 -0400

ocaml-xiph (1.0.0-1) unstable; urgency=medium

  * Initial release

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 18 Feb 2025 14:53:14 +0000
