=== debian/control ===
Source: ocaml-xiph
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-ocaml (>= 1.2.2),
               libflac-dev,
               libogg-dev,
               libopus-dev,
               libspeex-dev,
               libtheora-dev,
               libvorbis-dev,
               libdune-ocaml-dev,
               ocaml,
               ocaml-dune (>= 2.8.0),
               pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/savonet/ocaml-xiph
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-xiph
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-xiph.git

Package: libogg-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the Ogg bitstream library -- runtime files
 Libogg is a library for manipulating ogg bitstreams. It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.
 .
 This package contains only the shared runtime stub libraries.

Package: libogg-ocaml-dev
Architecture: any
Depends: libogg-dev,
         libogg-ocaml (= ${binary:Version}),
         ocaml-findlib,
         ${shlibs:Depends},
         ${misc:Depends},
         ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the Ogg bitstream library -- development files
 Libogg is a library for manipulating ogg bitstreams. It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ogg.

Package: libvorbis-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for vorbis library -- runtime files
 This OCaml library interfaces the vorbis C library. It can be used to
 decode from or encode to the Ogg Vorbis compressed audio format as well
 as to get information about an Ogg Vorbis file.
 .
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed
 and variable bitrates from 16 to 128 kbps/channel.
 .
 This package contains only the shared runtime stub libraries.

Package: libvorbis-ocaml-dev
Architecture: any
Depends: libogg-ocaml-dev,
         libvorbis-dev,
         libvorbis-ocaml (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the vorbis library -- development files
 This OCaml library interfaces the vorbis C library. It can be used to
 decode from or encode to the Ogg Vorbis compressed audio format as well
 as to get information about an Ogg Vorbis file.
 .
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed
 and variable bitrates from 16 to 128 kbps/channel.
 .
 This package contains all the development stuff you need to use ocaml-vorbis
 in your programs.

Package: libspeex-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the speex library -- runtime files
 This package provides an interface to the speex library for
 OCaml programmers.
 .
 Speex is an audio codec especially designed for compressing voice at low
 bit-rates for applications such as voice over IP (VoIP).
 .
 This package contains only the shared runtime stub libraries.

Package: libspeex-ocaml-dev
Architecture: any
Depends: libogg-ocaml-dev (>= 0.3.0-1),
         libspeex-dev,
         libspeex-ocaml (= ${binary:Version}),
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends},
Provides: ${ocaml:Provides}
Description: OCaml interface to the speex library -- development files
 This package provides an interface to the speex library for
 OCaml programmers.
 .
 Speex is an audio codec especially designed for compressing voice at low
 bit-rates for applications such as voice over IP (VoIP).
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-speex.

Package: libtheora-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the theora library -- runtime files
 This package provides an interface to the theora library for
 OCaml programmers.
 .
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains only the shared runtime stub libraries.

Package: libtheora-ocaml-dev
Architecture: any
Depends: libogg-ocaml-dev (>= 0.3.0-1),
         libtheora-dev,
         libtheora-ocaml (= ${binary:Version}),
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends},
Provides: ${ocaml:Provides}
Description: OCaml interface to the theora library -- development files
 This package provides an interface to the theora library for
 OCaml programmers.
 .
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-theora.

Package: libopus-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the opus library -- runtime files
 This package provides an interface to the opus library for
 OCaml programmers.
 .
 The Opus codec is designed for interactive speech and audio transmission over
 the Internet. It is designed by the IETF Codec Working Group and incorporates
 technology from Skype's SILK codec and Xiph.Org's CELT codec.
 .
 This package contains only the shared runtime stub libraries.

Package: libopus-ocaml-dev
Architecture: any
Depends: libogg-ocaml-dev,
         libopus-dev,
         libopus-ocaml (= ${binary:Version}),
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends},
Provides: ${ocaml:Provides}
Description: OCaml interface to the opus library -- development files
 This package provides an interface to the opus library for
 OCaml programmers.
 .
 The Opus codec is designed for interactive speech and audio transmission over
 the Internet. It is designed by the IETF Codec Working Group and incorporates
 technology from Skype's SILK codec and Xiph.Org's CELT codec.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-opus.

Package: libflac-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the flac library -- runtime files
 This package provides an interface to the flac library for
 OCaml programmers.
 .
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.
 .
 This package contains only the shared runtime stub libraries.

Package: libflac-ocaml-dev
Architecture: any
Depends: libflac-dev,
         libflac-ocaml (= ${binary:Version}),
         libogg-ocaml-dev,
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends},
Provides: ${ocaml:Provides}
Description: OCaml interface to the flac library -- development files
 This package provides an interface to the flac library for
 OCaml programmers.
 .
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-flac.
